import { Common } from 'pc-component-v3';

/**
 * 工具类自动生成的API，请勿做任何修改，请勿做任何修改，请勿做任何修改（重要的事情说3遍）
 * 工具作者: 杨志杰
 *  
 */
export default {

  /**
	 * 工具类自动生成的方法
	 * 工具作者: 杨志杰
	 * 根据userReadDocumentSimpleDto生成待审阅单据 
	 */
  saveByUserReadDocumentSimpleDto: function(userReadDocumentSimpleDto){
    var requestUrl = 'api/UserReadDocumentResource/saveByUserReadDocumentSimpleDto';


    return new Promise((resolve, reject) => {
      $.ajax({
        url: Common.getApiUrl2(requestUrl),
        type: 'post',
        contentType: 'application/json',
				
				
        data: JSON.stringify(userReadDocumentSimpleDto),
				
        beforeSend: function(request) {
          Common.addTokenToRequest(request);
        },
        success: function(data) {
          resolve(data);
        },
        error: function(XMLHttpRequest, textStatus, errorThrown) {
          reject(XMLHttpRequest);
        },
      });
    });
  },

  /**
	 * 工具类自动生成的方法
	 * 工具作者: 杨志杰
	 * 设置待审阅单据已经阅读 
	 */
  setProcessed: function(userReadDocumentId){
    var requestUrl = 'api/UserReadDocumentResource/setProcessed/{userReadDocumentId}';
    if(userReadDocumentId != null){
      requestUrl = requestUrl.replace('{userReadDocumentId}', userReadDocumentId);
    }


    return new Promise((resolve, reject) => {
      $.ajax({
        url: Common.getApiUrl2(requestUrl),
        type: 'get',
        contentType: 'application/json',
				
				
				
				
        beforeSend: function(request) {
          Common.addTokenToRequest(request);
        },
        success: function(data) {
          resolve(data);
        },
        error: function(XMLHttpRequest, textStatus, errorThrown) {
          reject(XMLHttpRequest);
        },
      });
    });
  },
};
